# Class ExpressionUnary

java.lang.Object
org.snpsift.lang.expression.Expression
org.snpsift.lang.expression.ExpressionUnary

Direct Known Subclasses:
  `Exists, Not`

public abstract class ExpressionUnary extends Expression
An expression that can be negated

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Expression`
`expr`

### Fields inherited from class Expression

`debug, negated, operator`

## Constructor Summary

Constructors
Constructor
Description
`ExpressionUnary(Expression expr, String operator)`

## Method Summary

Modifier and Type
Method
Description
`Value`
`eval(org.snpeff.vcf.VcfEntry vcfEntry)`
Evaluate expression using VcfEntry
`Value`
`eval(org.snpeff.vcf.VcfGenotype gt)`
Evaluate expression using genotype
`protected abstract Value`
`evalOp(Value val)`
`String`
`toString()`

### Methods inherited from class Expression

`setNegated`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### expr

protected Expression expr

## Constructor Details

### ExpressionUnary

public ExpressionUnary(Expression expr, String operator)

## Method Details

### eval

public Value eval(org.snpeff.vcf.VcfEntry vcfEntry)
Description copied from class: `Expression`
Evaluate expression using VcfEntry

Specified by:
  `eval` in class `Expression`

### eval

public Value eval(org.snpeff.vcf.VcfGenotype gt)
Description copied from class: `Expression`
Evaluate expression using genotype

Specified by:
  `eval` in class `Expression`

### evalOp

protected abstract Value evalOp(Value val)

### toString

public String toString()

Overrides:
  `toString` in class `Object`